%% 
% Subtracts a reference spectrum (second input) from your data spectrum 
% (first input) and returns a figure
% 
% You must assign the resulting matrix Bs to your name of choice if you want 
% to keep your subtracted spectrum for later purposes (simply type >> name of 
% choice = Bs << after running the procedure)

prompt = 'Name of your data spectrum?';
B = input(prompt);
prompt = 'Name of the spectrum to be subtracted?';
A = input(prompt);
%% 
% The first part of the procedure adjusts your reference spectrum in height 
% to the data spectrum (output is As = A scaled to data)

At = A.';
[Ms,column] = max(max(A));
[Ms,row] = max(max(At));
Mr = B(row,column);
As = A/Ms*Mr;
As(1,:) = A(1,:);
As(:,1) = A(:,1);
%% 
% This is the subtraction procedure

Bs = B-As;
Bs(1,:) = A(1,:);
Bs(:,1) = A(:,1);
%% 
% This is the plotting procedure; be careful to save the figure with a new 
% name, sometimes an already open figure 1 is simply overwritten

Z = Bs(2:end,2:end);
M = max(max(Z));
figure(1)
X = Bs(1,2:end);
Y = Bs(2:end,1);
x1 = min(X);
x2 = max(X);
y1 = min(Y);
y2 = max(Y);
surf(X,Y,Z)
axis manual
xlim([x1 x2])
ylim([y1 y2])
colormap HSV
colorbar
caxis([0 M])
rotate3d
prompt = 'Dont forget to name your subtracted spectrum (simply type >> name of choice = Bs <<)';
input(prompt)